GREP-EXCUSES(1)

BEZEICHNUNG
grep-excuses - durchsucht die Testing-Excuses-Dateien nach einem bestimmten Betreuer

ÜBERSICHT
grep-excuses [Optionen] [Betreuer|Paket]

BESCHREIBUNG
grep-excuses lädt die Dateien »autoremovals« und »update_excuses.html« herunter und durchsucht sie nach dem angegebenen Betreuer oder Paketnamen. Für dieses Skript wird das Paket wget benötigt. Falls auf der Befehlszeile kein Name angegeben wurde, wird zuerst die Umgebungsvariable DEBFULLNAME benutzt, falls sie definiert ist. Schlägt dies fehl, wird die Konfigurationsvariable wie nachfolgend beschrieben benutzt.

OPTIONEN

--no-conf, --noconf
    keine Konfigurationsdateien lesen, Dies kann nur als erste auf der Befehlszeile angegebene Option benutzt werden.

--wipnity, -w
    Get information from <https://qa.debian.org/excuses.php>. One or more package names must be given when using this option.

--help
    zeigt eine kurze Aufrufnachricht.

--version
    zeigt die Version und Copyright-Informationen.

--autopkgtests
    untersucht und zeigt das Versagen von autopkgtest (ci.debian.net) in Ihren Paketen, die aber durch neue Versionen anderer Pakete beim Versuch zu migirieren verursacht wurden. (--no-autopkgtests benutzt werden, um GREP_EXCUSES_AUTOPKGTESTS außer Kraft zu setzen.

--no-autoremovals
    durchsucht und zeigt nur die Testing-Verbreitungs-Excuses, keine Autoremovals.

--experimental, -e
    Print pseudo-excuses for manual migration from experimental to unstable.

--debug
    gibt Fehlersuchausgaben (einschließlich abgeholter URLs) auf der Standardfehlerausgabe aus.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Um Konfigurationsdateieinstellungen außer Kraft zu setzen, können Befehlszeilenoptionen verwendet werden. Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannte Variable ist:

GREP_EXCUSES_MAINTAINER
    der Standardbetreuer, die E-Mail oder das Paket, nach dem gesucht werden soll, falls keines auf der Befehlszeile angegeben wurde

GREP_EXCUSES_AUTOPKGTESTS
    boolesch: ob autopkgtest-Versagen in anderen Paketen angezeigt wird. Siehe --autopkgtests.

SIEHE AUCH
devscripts.conf(5)

AUTOR
Joey Hess <joeyh@debian.org>; Änderungen durch Julian Gilbey <jdg@debian.org>.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.